﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Events
{
    delegate void DoSound(int loudness);

    class Dog
    {
        public event DoSound Barked;

        public void Bark()
        {
            Barked(100);
        }
    }

    class Child
    {
        private bool _Running;

        public bool Running
        {
            get { return _Running; }
            set { _Running = value; }
        }
    }

    
    class Program
    {
        private static Child child;
        
        static void Main(string[] args)
        {
            Dog dog = new Dog();
            dog.Barked += dog_Barked;
            child = new Child();
            Console.WriteLine(child.Running);
            dog.Bark();
            Console.WriteLine(child.Running);
            Console.ReadKey();
        }

        static void dog_Barked(int loudness)
        {
            if (loudness > 10)
            {
                child.Running = true;
            }
        }
    }
}
